using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.SC
{
    [Description("文件附件")]
    public class T_SC_DOCUMENT_LIBRARY_DETAIL_FILE : MesEntityBase
    {
        [Description("文件库")]
        [DataFieldForeignKey("Nav_Library", "Nav_Files")]
        public Guid DOCUMENT_LIBRARY_ID { get; set; }

        [Description("导航属性：文件库")]
        public T_SC_DOCUMENT_LIBRARY_DETAIL Nav_Library { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
